# ApiMigrateRolesArguments Data Model

Properties
name | data type | description
--- | --- | ---
roleNamesToMigrate | array of string | The list of role names to migrate.
destinationHostId | string | The ID of the host to which the roles should be migrated.
clearStaleRoleData | boolean | Delete existing stale role data, if any. For example, when migrating a NameNode, if the destination host has stale data in the NameNode data directories (possibly because a NameNode role was previously located there), this stale data will be deleted before migrating the role. Defaults to false.

Example

    {
      "roleNamesToMigrate" : [ "...", "..." ],
      "destinationHostId" : "...",
      "clearStaleRoleData" : true
    }